Subject: Re: What's cooking in git.git (Nov 2024, #03; Mon, 4)

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Nov 2024 16:04:35 -0800

Jonathan Tan <[email-masked]> writes:

>> * jt/repack-local-promisor (2024-11-03) 5 commits
>> ...
>>  Needs review.
>>  Breaks CI (with a known fix).
>>  source: <[email-masked]>
>
> The fixup (in your tree) looks good.
>
> As for review, for what it's worth, Josh Steadmon has written some
> comments [1], which I've addressed. Regarding the big-picture issue
> as to whether this solution is the best one for the problem we have,
> both Han Young [2] and I have verified (with private repos) that this
> solution does not have noticeable performance issues (which was a
> concern with other solutions) and I think that this solution does well
> to preserve the concept that we know which objects are re-fetchable from
> the remote (even if we have created them locally) and which are not.

Thanks for helping me with what happened on the list while I was
away.